Method: projects.locations.instances.policyEngine.updatePolicyAuthorTrustBundle

Updates the PolicyAuthorTrustBundle singleton.

HTTP request

PATCH https://mpc.googleapis.com/v1alpha1/{policyAuthorTrustBundle.name=projects/*/locations/*/instances/*/policyEngine/policyAuthorTrustBundle}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
policyAuthorTrustBundle.name

string

Identifier. The resource name of the trust bundle. Format: projects/{project}/locations/{location}/instances/{instance}/policyEngine/policyAuthorTrustBundle It takes the form projects/{project}/locations/{location}/instances/{instance}/policyEngine/policyAuthorTrustBundle.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of PolicyAuthorTrustBundle.

Response body

If successful, the response body contains an instance of PolicyAuthorTrustBundle.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.